A bunch of bugfixes, taken over from the Debian "minicom" package.

Index: src/file.c
--- src/file.c.orig	2003-04-22 01:56:46 +0200
+++ src/file.c	2004-08-12 20:42:47 +0200
@@ -509,7 +509,8 @@
 GETSDIR_ENTRY *d;
 {
     GETSDIR_ENTRY *my_d;
-    int indxr, len;
+    int indxr, len, i;
+    char *j;
 
     my_d = d;
     for(indxr = nrents, len = 0; indxr; --indxr, ++my_d)
@@ -529,8 +530,18 @@
 	for(indxr = nrents; indxr; --indxr, ++my_d)
 	    if(my_d->cflags & FL_TAG) {
 		/* this could be *much* more efficient */
-		strcat(ret_buf, my_d->fname);
-		strcat(ret_buf, " ");
+		for (i = strlen(ret_buf), j = my_d->fname; *j; j++) {
+		    if (*j == ' ') {
+			if ((ret_buf = (char*)realloc(ret_buf, ++len)) == NULL) {
+			    file_tell(_("Too many files tagged - buffer would overflow"));
+			    return(NULL);
+			}
+			ret_buf[i++] = '\\';
+		    }
+		    ret_buf[i++] = *j;
+		}
+		ret_buf[i++] = ' ';
+		ret_buf[i]   = '\0';
 	    }
 
 	ret_buf[strlen(ret_buf) - 1] = (char) 0;
Index: src/minicom.c
--- src/minicom.c.orig	2003-05-16 22:33:19 +0200
+++ src/minicom.c	2004-08-12 20:42:47 +0200
@@ -998,7 +998,6 @@
       if (lang != NULL) {
 	unsigned int j = 0;
 	for (; j < sizeof(l)/sizeof(*l); j++) {
-	  printf("%s/%s\n", v[i], l[j]);
 	  if (!strncmp(lang, l[j], strlen(l[j]))) {
 	    args[argk++] = "-8";
 	    done = 1;
Index: src/rwconf.c
--- src/rwconf.c.orig	2003-04-13 00:52:20 +0200
+++ src/rwconf.c	2004-08-12 20:43:17 +0200
@@ -105,7 +105,7 @@
   { "",			PUBLIC,   "pprog11" },
   { "",			PUBLIC,   "pprog12" },
   /* Serial port & friends */
-  { DFL_PORT,		PRIVATE,  "port" },
+  { DFL_PORT,		PUBLIC,   "port" },
   { CALLIN,		PRIVATE,  "callin" },
   { CALLOUT,		PRIVATE,  "callout" },
   { UUCPLOCK,		PRIVATE,  "lock" },
Index: src/updown.c
--- src/updown.c.orig	2003-04-13 00:52:20 +0200
+++ src/updown.c	2004-08-12 20:43:46 +0200
@@ -352,6 +352,22 @@
   (void) mcd("");
   timer_update();
 
+  /* return code == 1 if exeve failed */
+  if (win && status == 0x0001) {
+#if VC_MUSIC
+	if (P_SOUND[0] == 'Y') {
+		wprintf(win, _("\n Failure executing protocol. Press any key to continue..."));
+		music();
+	} else
+		sleep(1);
+#else
+	/* MARK updated 02/17/94 - If there was no VC_MUSIC capability, */
+	/* then at least make some beeps! */
+	if (P_SOUND[0] == 'Y') wprintf(win, "\007\007\007");
+	sleep(1);
+#endif
+  } else
+
   /* If we got interrupted, status != 0 */
   if (win && (status & 0xFF00) == 0) {
 #if VC_MUSIC
Index: src/util.c
--- src/util.c.orig	2003-03-30 20:55:54 +0200
+++ src/util.c	2004-08-12 20:42:47 +0200
@@ -113,7 +113,7 @@
 
   /* Delete escape-characters ment for the shell */
   p = cmd;
-  while((p = strchr(p, '\\')) != (char *)NULL)
+  while((p = strchr(p, '\\')) != (char *)NULL && *(p+1) != ' ')
   	strcpy(p, p + 1);
 
   /* Split line into words */
